Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 211047 - In Services/Databases, placing "Delete" on a context menu right next to "Connect..." and not asking for confirmation before actually deleting the database I was trying to connect to is not particularly friendly behavior.
In Services/Databases, placing "Delete" on a context menu right next to "Conn...
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
7.1.1
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 21:18 UTC by davidhbrown
Modified: 2013-01-29 03:28 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description davidhbrown 2012-04-11 21:18:13 UTC
Product Version = NetBeans IDE 7.1.1 (Build 201203012225)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_03
Runtime = Java HotSpot(TM) 64-Bit Server VM 22.1-b02
Comment 1 davidhbrown 2012-04-11 21:21:43 UTC
(I did have a backup.)
Comment 2 stefax 2013-01-25 11:17:02 UTC
It happens the same on version 7.2.1.
Comment 3 Jaroslav Havlin 2013-01-28 14:27:52 UTC
http://hg.netbeans.org/core-main/rev/5333863cb88b
Fixed. Thank you for reporting.
Comment 4 Quality Engineering 2013-01-29 03:28:25 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5333863cb88b
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #211047: Confirm deletion (of database or connection) in Services/Databases


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo